Subject: Re: bug#49316: Add apply-partially's right version

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 25 Oct 2021 14:50:57 +0200

Stefan Monnier <[email-masked]> writes:

> Like Stefan, I don't find partial application weird.
> But I'm not sure what's the advantage of
>
>     (apply-rpartially #'foo x y)
>
> over
>
>     (lambda (a b) (foo a b x y))

The advantage is that the first form looks more mysterious and you can
use words like "currying" to sound smarter.  :-)

> `apply-partially` was handy before we had `lexical-binding`, but
> I wouldn't have added it to Emacs after Emacs-24.
> We already have `dash.el` for those users who like this style.

I agree.  So I think the conclusion here is that we don't want to add
apply-rpartially to Emacs core -- the people that prefer this style will
find more complete coverage in dash.el (which is on GNU ELPA).

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no